<div id="body" class="container-fluid">
  <h6> CPE CLLI </h6>
  <div class="form-row">
    <div class="form-group form-group-sm row col-8">
      <div class="col-12">
        <a class="btn btn-sm btn-primary btn-block" [routerLink]='["add"]'>
          New <span class="d-none d-sm-inline">CLLI</span>
        </a>
      </div>
    </div>
    
    <div class="form-group form-group-sm row col-8">
      <label class="col-form-label col-8">Available Views</label>
      <div class="col-16 pl-0 pl-lg-1">
        <form [formGroup]="filterForm" *ngIf="filterForm">
          <dx-select-box name="status" formControlName="status" [items]="statusList"
                        searchMode="startswith" [searchEnabled]="true" [searchExpr]="['text']"
                        displayExpr="text" valueExpr="value" (onSelectionChanged)="onStatusChange($event)">
          </dx-select-box>
        </form>
      </div>
    </div>
  </div>
  <dx-data-grid #grid id="grid" [dataSource]="gridData"
                [showBorders]="true" [wordWrapEnabled]="true"
                [rowAlternationEnabled]="true" [columnAutoWidth]="true"
                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                (onRowDblClick)="viewDetails($event)"
                (onToolbarPreparing)="onToolbarPreparing($event)"
                (onExporting)="onExporting($event)">
    <dxo-sorting mode="multiple"></dxo-sorting>
    <dxo-paging [pageSize]="50"></dxo-paging>
    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
    <dxi-column dataField="clli ID" caption="CLLI ID" cellTemplate="linkIdTemplate"></dxi-column>
    <div *dxTemplate="let cell of 'clli ID'">
      <span class="clli"> {{ cell.text }} </span>
    </div>
    <div *dxTemplate="let row of 'linkIdTemplate'">
      <a class="hyperlink" (click)="selectionChangedHandler(row.data.id)">{{ row.value }}</a>
    </div>
    <dxi-column dataField="site NAME" caption="Site Name"></dxi-column>
    <dxi-column dataField="address" caption="Address"></dxi-column>
    <dxi-column dataField="state" caption="State"></dxi-column>
    <dxi-column dataField="zip CODE" caption="ZIP Code"></dxi-column>
    <dxi-column dataField="status" caption="Status"></dxi-column>
    <dxi-column dataField="isActive" caption="Active/InActive"></dxi-column>
    <div *dxTemplate="let data of 'exportTemplate'">
      <button type="button" class="btn btn-sm btn-primary"
              (click)="grid.instance.exportToExcel(false)">
        Export to Excel
      </button>
    </div>
  </dx-data-grid>

  <!--<div class="row">
    <div class="col-24">
      <div class="form-row">
        <div class="form-group form-group-sm col-24 col-lg-24 text-left">
          <h6> CPE CLLI </h6>
        </div>
      </div>
      <div class="form-group form-group-sm col-24 col-lg-2">
        <button class="btn btn-sm btn-primary" routerLink="/tools/cpe-clli/add" routerLinkActive="active">New CLLI</button>
        <form [formGroup]="filterForm" *ngIf="filterForm">
            <div class="form-row">
          <div class="form-group form-group-sm col-24 col-lg-8">
            &nbsp;
          </div>
          <div class="form-group form-group-sm col-24 col-lg-8">
            &nbsp;
          </div>
          <div class="form-group form-group-sm col-24 col-lg-8">

          </div>
        </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-14">
                <label class="col-form-label col-24 col-lg-12"> Available Views </label>
                <div class="col-24 col-lg-12 pl-0">
                  <dx-select-box name="status" formControlName="status" [items]="statusList"
                                 displayExpr="text" valueExpr="value" (onSelectionChanged)="onStatusChange($event)">
                  </dx-select-box>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-6 text-right">
                <div class="form-group form-group-sm col-24 col-lg-8">
                  <dx-select-box name="filter" formControlName="filter" [items]="filterList"
                                 displayExpr="text" valueExpr="value">
                  </dx-select-box>
                </div>
                <div class="form-group form-group-sm col-24 col-lg-16">
                  <input class="form-control" formControlName="filterValue" type="text" class="form-control form-control-sm" />
                </div>
              </div>
              <div class="form-group form-group-sm col-24 col-lg-2">
                <button class="btn btn-sm btn-primary" (click)="filterSearch()"> Search </button>
              </div>
            </div>
          </form>
      </div>
      <dx-data-grid #grid id="grid" [dataSource]="gridData"
                    [showBorders]="true" [wordWrapEnabled]="true"
                    [rowAlternationEnabled]="true" [columnAutoWidth]="true"
                    (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                    (onRowDblClick)="viewDetails($event)"
                    (onToolbarPreparing)="onToolbarPreparing($event)"
                    (onExporting)="onExporting($event)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxi-column dataField="clli ID" caption="CLLI ID" cellTemplate="linkIdTemplate"></dxi-column>
        <div *dxTemplate="let cell of 'clli ID'">
          <span class="clli"> {{ cell.text }} </span>
        </div>
        <div *dxTemplate="let row of 'linkIdTemplate'">
          <a class="hyperlink" (click)="selectionChangedHandler(row.data.id)">{{ row.value }}</a>
        </div>
        <dxi-column dataField="site NAME" caption="Site Name"></dxi-column>
        <dxi-column dataField="address" caption="Address"></dxi-column>
        <dxi-column dataField="state" caption="State"></dxi-column>
        <dxi-column dataField="zip CODE" caption="ZIP Code"></dxi-column>
        <dxi-column dataField="status" caption="Status"></dxi-column>
        <dxi-column dataField="isActive" caption="Active/InActive"></dxi-column>
        <div *dxTemplate="let data of 'exportTemplate'">
          <button type="button" class="btn btn-sm btn-primary"
                  (click)="grid.instance.exportToExcel(false)">
            Export to Excel
          </button>
        </div>
      </dx-data-grid>
    </div>
  </div>-->
</div>
